<template>
  <a-card :bordered="false" :class="'cust-erp-sub-tab'">
    <!-- 查询区域 -->

    <!--    </div>-->
    <!-- 查询区域-END -->

    <!-- 操作按钮区域 -->
    <div class="table-operator" v-if="mainId">

    </div>

    <!-- table区域-begin -->
    <div>


      <a-table
        ref="table"
        size="middle"
        bordered
        rowKey="id"
        :scroll="{x:true}"
        :columns="columns"
        :dataSource="dataSource"
        :pagination="ipagination"
        :loading="loading"
        :rowSelection="null"
        @change="handleTableChange">

      </a-table>
    </div>

<!--    <lossboundDetail-modal ref="modalForm" @ok="modalFormOk" :mainId="mainId"></lossboundDetail-modal>-->
  </a-card>
</template>

<script>

import { JeecgListMixin } from '@/mixins/JeecgListMixin'
import LossboundDetailModal from './modules/LossboundDetailModal'

export default {
  name: 'LossboundDetailList',
  mixins: [JeecgListMixin],
  components: { LossboundDetailModal },
  props: {
    mainId: {
      type: String,
      default: '',
      required: false
    }
  },
  watch: {
    mainId: {
      immediate: true,
      handler(val) {
        if (!this.mainId) {
          this.clearList()
        } else {
          this.queryParam['lossBoundId'] = val
          this.loadData(1)
        }
      }
    }
  },
  data() {
    return {
      description: '报损管理页面',
      disableMixinCreated: true,
      // 表头
      columns: [
        {
          title: '#',
          dataIndex: '',
          key: 'rowIndex',
          width: 60,
          align: 'center',
          customRender: function(t, r, index) {
            return parseInt(index) + 1
          }
        },
        {
          title: '刀具编号',
          align: 'center',
          dataIndex: 'toolId'
        },
        {
          title: '工具类型',
          align: 'center',
          dataIndex: 'applicationType_dictText'
        },
        {
          title: '报损原因',
          align: 'center',
          dataIndex: 'lossReason'
        },
        {
          title: '报损数量',
          align: 'center',
          dataIndex: 'lossNumber'
        },
        {
          title: '中文名称',
          align: 'center',
          dataIndex: 'chineseName'
        },
        {
          title: '型号/图号',
          align: 'center',
          dataIndex: 'toolModel'
        },
        {
          title: '刀具材料',
          align: 'center',
          dataIndex: 'toolMaterial'
        },
        {
          title: '零件材料',
          align: 'center',
          dataIndex: 'partMaterial'
        },
        {
          title: '厂家',
          align: 'center',
          dataIndex: 'supplierId'
        },
        {
          title: '存储位置(库位号)',
          align: 'center',
          dataIndex: 'positionCode'
        },

        {
          title: '创建时间',
          align: 'center',
          dataIndex: 'createTime'
        },
        {
          title: '备注',
          align: 'center',
          dataIndex: 'remark'
        }
        // {
        //   title: '操作',
        //   dataIndex: 'action',
        //   align:"center",
        //   fixed:"right",
        //   width:147,
        //   scopedSlots: { customRender: 'action' },
        // }
      ],
      url: {
        list: '/tms/toolsLossBound/listlossboundDetailByMainId',
        delete: '/tms/toolsLossBound/deleteLootboundDetail',
        deleteBatch: '/tms/toolsLossBound/deleteBatchLossboundDetail',
        exportXlsUrl: '/tms/toolsLossBound/exportLossboundDetail',
        importUrl: '/tms/toolsLossBound/importLossboundDetail'
      },
    }
  },
  created() {
  },
  computed: {
    importExcelUrl() {
      return `${window._CONFIG['domianURL']}/${this.url.importUrl}/${this.mainId}`
    }
  },
  methods: {
    clearList() {
      this.dataSource = []
      this.selectedRowKeys = []
      this.ipagination.current = 1
    }

  }
}
</script>
<style scoped>
@import '~@assets/less/common.less';
</style>
